## org.metaabm
Interface IArtifact

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  FImplementedLibrary, FLibrary, SImport

All Known Implementing Classes:
  FImplementedLibraryImpl, FLibraryImpl

    public interface IArtifact

extends IID

A representation of the model object ' IArtifact'.

Author:
  Miles Parker
See Also:
  `MetaABMPackage.getIArtifact()`

Method Summary

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`